#' Transform a hash object into a string of parameters
#'
#' @param filters hash object
#'
#' @return formatted string of parameters
#'
#' @examples
#' filters <- hash::hash("a" = list("1"), "b" = list("2", "3"))
#' stringify(filters) -> "a=1&b=2&b=3"
stringify <- function(filters) {
  string <- ""
  for (prop in ls(filters)) {
    for (value in filters[[prop]]) {
      if (string == "") {
        string <- glue::glue("{prop}={value}")
      } else {
        string <- paste(string, glue("{prop}={value}"), sep = "&")
      }
    }
  }
  string
}
