% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/api_class.R
\docType{class}
\name{Api-class}
\alias{Api-class}
\alias{api_class}
\title{Api class to make appropriate request based on parameters}
\description{
Api class to make appropriate request based on parameters
}
\section{Fields}{

\describe{
\item{\code{api_type}}{character. The name of the api to call (see url_mapping)}

\item{\code{export_format}}{character (default = "JSON"). The export's format
Available are CSV, XLSX, SDMX-ML and JSON}

\item{\code{root_url}}{character (default = "BASE_URL"). Root url to call (for i14y or dcat)}

\item{\code{parameters}}{character. Additional request parameters}

\item{\code{id}}{character. The identifier or id of the request's object}

\item{\code{language}}{character (default = "en"). The language of the response data.
Available are 'fr', 'de', 'it', 'en'}

\item{\code{version_format}}{numeric (default = 2.1). The export format's version
(2.0 or 2.1 when format is SDMX-ML) 
(for 'codelist')}

\item{\code{path}}{character. The path leading to the nodes 
(for 'nomenclature_search')}

\item{\code{api_url}}{character. The url to make the request to.}
}}


\examples{
api <- api_class(api_type = "codelist", id = "CL_NOGA_SECTION")
api <- api_class(api_type = "content_configuration")
}
